Skip to navigation

Get pending algo orders

Retrieve a list of untriggered Algo orders under the current account.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

ordTypeenumRequired

Order type conditional: One-way stop order oco: One-cancels-the-other order chase: chase order, only applicable to FUTURES and SWAP trigger: Trigger order move_order_stop: Trailing order iceberg: Iceberg order twap: TWAP order smart_iceberg: Iceberg order For every request, unlike other ordType which only can use one type, conditional and oco both can be used and separated with comma.

algoIdstringOptional
Algo ID
instTypeenumOptional

Instrument type SPOT SWAP FUTURES MARGIN

Allowed values:
instIdstringOptional

Instrument ID, e.g. BTC-USDT

afterstringOptional

Pagination of data to return records earlier than the requested algoId.

beforestringOptional

Pagination of data to return records newer than the requested algoId.

limitstringOptional

Number of results per request. The maximum is 100. The default is 100

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional